confparser.c File Reference
`#include "parser/confparser.h"`
`#include "log.h"`
`#include "status.h"`
`#include "duration.h"`
`#include "daemon/cfg.h"`
`#include <libxml/xpath.h>`
`#include <libxml/relaxng.h>`
`#include <libxml/xmlreader.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <sys/un.h>`

Go to the source code of this file.

## Functions

ods_status | parse_file_check (const char *cfgfile, const char *rngfile)
const char * | parse_conf_string (const char *cfgfile, const char *expr, int required)
hsm_repository_t * | parse_conf_repositories (const char *cfgfile)
const char * | parse_conf_policy_filename (const char *cfgfile)
const char * | parse_conf_zonelist_filename (const char *cfgfile)
const char * | parse_conf_zonefetch_filename (const char *cfgfile)
const char * | parse_conf_log_filename (const char *cfgfile)
const char * | parse_conf_pid_filename (const char *cfgfile)
const char * | parse_conf_delegation_signer_submit_command (const char *cfgfile)
const char * | parse_conf_delegation_signer_retract_command (const char *cfgfile)
const char * | parse_conf_clisock_filename (const char *cfgfile)
const char * | parse_conf_working_dir (const char *cfgfile)
const char * | parse_conf_username (const char *cfgfile)
const char * | parse_conf_group (const char *cfgfile)
const char * | parse_conf_chroot (const char *cfgfile)
const char * | parse_conf_datastore (const char *cfgfile)
const char * | parse_conf_db_host (const char *cfgfile)
const char * | parse_conf_db_username (const char *cfgfile)
const char * | parse_conf_db_password (const char *cfgfile)
int | parse_conf_use_syslog (const char *cfgfile)
int | parse_conf_verbosity (const char *cfgfile)
int | parse_conf_worker_threads (const char *cfgfile)
int | parse_conf_manual_keygen (const char *cfgfile)
int | parse_conf_db_port (const char *cfgfile)
engineconfig_database_type_t | parse_conf_db_type (const char *cfgfile)
time_t | parse_conf_automatic_keygen_period (const char *cfgfile)
time_t | parse_conf_rollover_notification (const char *cfgfile)

## Function Documentation

## parse_conf_automatic_keygen_period()

time_t parse_conf_automatic_keygen_period | ( | const char * | cfgfile | ) |

Definition at line 703 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_chroot()

const char * parse_conf_chroot | ( | const char * | cfgfile | ) |

Definition at line 511 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_clisock_filename()

const char * parse_conf_clisock_filename | ( | const char * | cfgfile | ) |

Definition at line 435 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_datastore()

const char * parse_conf_datastore | ( | const char * | cfgfile | ) |

Definition at line 527 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_db_host()

const char * parse_conf_db_host | ( | const char * | cfgfile | ) |

Definition at line 552 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_db_password()

const char * parse_conf_db_password | ( | const char * | cfgfile | ) |

Definition at line 584 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_db_port()

int parse_conf_db_port | ( | const char * | cfgfile | ) |

Definition at line 663 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_db_type()

engineconfig_database_type_t parse_conf_db_type | ( | const char * | cfgfile | ) |

Definition at line 678 of file confparser.c.

References ENFORCER_DATABASE_TYPE_MYSQL, ENFORCER_DATABASE_TYPE_NONE, ENFORCER_DATABASE_TYPE_SQLITE, and parse_conf_string().

Referenced by engine_config().

## parse_conf_db_username()

const char * parse_conf_db_username | ( | const char * | cfgfile | ) |

Definition at line 568 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_delegation_signer_retract_command()

const char * parse_conf_delegation_signer_retract_command | ( | const char * | cfgfile | ) |

Definition at line 419 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_delegation_signer_submit_command()

const char * parse_conf_delegation_signer_submit_command | ( | const char * | cfgfile | ) |

Definition at line 403 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_group()

const char * parse_conf_group | ( | const char * | cfgfile | ) |

Definition at line 494 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_log_filename()

const char * parse_conf_log_filename | ( | const char * | cfgfile | ) |

Definition at line 364 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_manual_keygen()

int parse_conf_manual_keygen | ( | const char * | cfgfile | ) |

Definition at line 650 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_pid_filename()

const char * parse_conf_pid_filename | ( | const char * | cfgfile | ) |

Enforcer specific

Definition at line 384 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_policy_filename()

const char * parse_conf_policy_filename | ( | const char * | cfgfile | ) |

Parse elements from the configuration file.

Definition at line 314 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_repositories()

hsm_repository_t * parse_conf_repositories | ( | const char * | cfgfile | ) |

Parse the repositories.

Definition at line 205 of file confparser.c.

Referenced by engine_config(), and main().

## parse_conf_rollover_notification()

time_t parse_conf_rollover_notification | ( | const char * | cfgfile | ) |

Definition at line 724 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_string()

const char * parse_conf_string | ( | const char * | cfgfile,
|  | const char * | expr,
|  | int | required
| ) |  |

Parse elements from the configuration file.

Definition at line 146 of file confparser.c.

Referenced by parse_conf_automatic_keygen_period(), parse_conf_chroot(), parse_conf_clisock_filename(), parse_conf_datastore(), parse_conf_db_host(), parse_conf_db_password(), parse_conf_db_port(), parse_conf_db_type(), parse_conf_db_username(), parse_conf_delegation_signer_retract_command(), parse_conf_delegation_signer_submit_command(), parse_conf_group(), parse_conf_log_filename(), parse_conf_manual_keygen(), parse_conf_pid_filename(), parse_conf_policy_filename(), parse_conf_rollover_notification(), parse_conf_use_syslog(), parse_conf_username(), parse_conf_verbosity(), parse_conf_worker_threads(), parse_conf_working_dir(), parse_conf_zonefetch_filename(), and parse_conf_zonelist_filename().

## parse_conf_use_syslog()

int parse_conf_use_syslog | ( | const char * | cfgfile | ) |

Parse elements from the configuration file.

Definition at line 604 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_username()

const char * parse_conf_username | ( | const char * | cfgfile | ) |

Definition at line 477 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_verbosity()

int parse_conf_verbosity | ( | const char * | cfgfile | ) |

Definition at line 617 of file confparser.c.

References parse_conf_string(), and verbosity.

Referenced by engine_config().

## parse_conf_worker_threads()

int parse_conf_worker_threads | ( | const char * | cfgfile | ) |

Enforcer specific

Definition at line 634 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_working_dir()

const char * parse_conf_working_dir | ( | const char * | cfgfile | ) |

Definition at line 458 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_zonefetch_filename()

const char * parse_conf_zonefetch_filename | ( | const char * | cfgfile | ) |

Definition at line 347 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_zonelist_filename()

const char * parse_conf_zonelist_filename | ( | const char * | cfgfile | ) |

Definition at line 330 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_file_check()

ods_status parse_file_check | ( | const char * | cfgfile,
|  | const char * | rngfile
| ) |  |

Parse elements from the configuration file.

Definition at line 53 of file confparser.c.

Referenced by engine_config().